/*
 * PowerPerturbation.h
 *
 *  Created on: Feb 27, 2019
 *      Author: mawolff
 */

#ifndef POWERPERTURBATION_H_
#define POWERPERTURBATION_H_

//#include "Param.h"
#include "PowerGrid.h"
#include "RungeKutta.h"

class PowerPerturbation {
// ==================================================== variables ===================================================== //

// =================================================== constructors =================================================== //
public:
	PowerPerturbation();
	virtual ~PowerPerturbation();

// ====================================================== methods ===================================================== //
public:
	void setMaxPert(Param& par, double* freq, double* phas, double t);
	void MaxPDP(Param& par, PowerGrid& pg, RungeKutta& rk);
	void TrajDP(Param& par, PowerGrid& pg, RungeKutta& rk);
	void swingDP(Param& par, RungeKutta& rk);
	void resetMaxPert();


};

#endif /* POWERPERTURBATION_H_ */


// ==================================================== variables ===================================================== //
// =================================================== constructors =================================================== //
// ====================================================== methods ===================================================== //
// --------------------------------------------------- array methods -------------------------------------------------- //
// ------------------------------------------------- directory methods ------------------------------------------------ //
// ------------------------------------------------ mathematical methods ---------------------------------------------- //
// --------------------------------------------------- string methods ------------------------------------------------- //
// ------------------------------------------------------- get&set ---------------------------------------------------- //
// ------------------------------------------------------ read methods ------------------------------------------------ //
