function [ s ] = sumd( mat, d )
%% [s] = sumd( mat, d)
% sum in a direction of a matrix.
% 
% * Parameters:
%   * mat: the matrix to add rows or cols
%   * d : direction 'v' for vertical or 'h' for horizontal
%
% * Returns:
%   * s: sum in rows ('v') or cols ('h')
%
% V1.0 mawolff@uos.de 11-Mar-2017

%% code

if( strcmp( d, 'v' ) )
    s = sum(mat,1);
else
    s = sum(mat,2);
end

return;

end

