function [ tarrow ] = textarrow( coords, str, siz )
%% textarrow( coords, string, size)
% creates a textarrow in the current figure
% * Parameters:
%   * coords : coords of the arrow x1 y1 x2 y2
%   * string : the string of the textarrow
%   * size : the fontsize
%
% * Returns:
%   * tarrow : the handle of the textarrow
%
% V1.0 mawolff@uos.de 06-Sep-2016

% TODO: implement 'ld'<= left down oder 'ru' right up (von wo
% der pfeil kommen soll (und vielleicht wie lang ca.))


%% code

x1 = coords(1);
x2 = coords(2);
y1 = coords(3);
y2 = coords(4);
tarrow = annotation('textarrow',[x1 y1], [x2 y2],'String', str);
set(tarrow,'fontsize',siz);

return;
end

